Bug 289804 - Indicator (underlining) for selected items is placed wrong
Summary: Indicator (underlining) for selected items is placed wrong
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: view-engine: compact mode (show other bugs)
Version: 1.99
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-25 20:31 UTC by Elias Probst
Modified: 2012-04-02 20:20 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.0


Attachments
Screenshot showing wrong/correct placement of selection indicator (25.14 KB, image/png)
2011-12-25 20:31 UTC, Elias Probst
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Elias Probst 2011-12-25 20:31:08 UTC
Created attachment 67104 [details]
Screenshot showing wrong/correct placement of selection indicator

Version:           1.99 (using Devel) 
OS:                Linux

The indicator for selected items (underlining) is placed incorrectly.
This becomes visible when using a higher zoomlevel, where the underlining isn't placed under the name anymore, but at the bottom of the row.

See the attached screenshot.

Reproducible: Always

Steps to Reproduce:
1. Select an item
2. Zoom

Actual Results:  
The selection indicator (underlining) isn't placed right under the name of the file/directory, but at the lower bottom of the row of the selected item instead.

Expected Results:  
The indicator should be placed right under the name of the item just as it was formatted richtext which is underlined.
I understand, that this isn't simply underlined text, but a line which fades out at the left/right end, but the position of it should be based on the text, not of the whole item.

KDE 4.7.95 (4.8.0 RC1)
Qt 4.7.4

The attached screenshot contains a GIMPed version where the left column shows the current state and the right column the "fixed" state ('boot' directory).
Comment 1 Lilian A. Moraru 2012-02-26 23:40:53 UTC
Using Kubuntu 11.10, KDE 4.8, Dolphin 2.0. I confirm the bug and it does look kind of strange and a little bit ugly when you zoom(make the icons bigger) and select an item. The shadow should be under the text as it is when you make the icons small(the smallest).
Comment 2 Peter Penz 2012-04-02 20:20:33 UTC
Git commit 1f6887ef11d37f399aede10fd91a92acc0e43c95 by Peter Penz.
Committed on 02/04/2012 at 22:15.
Pushed by ppenz into branch 'master'.

Fix focus-rectangle issues

Assure that the focus-rectangle exactly matches to the bottom of
the rendered text.
Related: bug 297203
FIXED-IN: 4.9.0

M  +42   -25   dolphin/src/kitemviews/kfileitemlistwidget.cpp
M  +1    -0    dolphin/src/kitemviews/kfileitemlistwidget.h
M  +7    -12   dolphin/src/kitemviews/kitemlistwidget.cpp
M  +9    -0    dolphin/src/kitemviews/kitemlistwidget.h

http://commits.kde.org/kde-baseapps/1f6887ef11d37f399aede10fd91a92acc0e43c95